summaryrefslogtreecommitdiff
path: root/poky/meta/recipes-core/busybox/files/mdev
diff options
context:
space:
mode:
authorAndrew Geissler <geissonator@yahoo.com>2021-02-13 00:55:30 +0300
committerBrad Bishop <bradleyb@fuzziesquirrel.com>2021-02-25 23:15:06 +0300
commit706d5aacd7ab7b37c00df1a1b210e4ced06119e1 (patch)
treeed0bec373424d01accfb2e9c895c177a3e2d7abe /poky/meta/recipes-core/busybox/files/mdev
parentac970dd705934286df062e0f1501f776dc2ef01d (diff)
downloadopenbmc-706d5aacd7ab7b37c00df1a1b210e4ced06119e1.tar.xz
Reset poky to before our libpam hacks
Things got a bit out of synch with openbmc-config due to the libpam issues and the migration from the meta-* layers. Revert the two previous commits and then put the latest poky in with the libpam revert and get openbmc-config right again. Revert "Revert "libpam: update 1.3.1 -> 1.5.1"" This reverts commit 87ddd3eab4df68e624b5350ccaab28b3b97547c0. Revert "poky: subtree update:796be0593a..10c69538c0" This reverts commit c723b72979bfac6362509cf1fe086900f6641f28. Change-Id: I3a1f405193aee6a21fe0cd24be9927c143a23d9a Signed-off-by: Andrew Geissler <geissonator@yahoo.com>
Diffstat (limited to 'poky/meta/recipes-core/busybox/files/mdev')
-rwxr-xr-xpoky/meta/recipes-core/busybox/files/mdev56
1 files changed, 17 insertions, 39 deletions
diff --git a/poky/meta/recipes-core/busybox/files/mdev b/poky/meta/recipes-core/busybox/files/mdev
index 2fbdfb073..8c9c06e96 100755
--- a/poky/meta/recipes-core/busybox/files/mdev
+++ b/poky/meta/recipes-core/busybox/files/mdev
@@ -1,43 +1,21 @@
#!/bin/sh
+mount -t proc proc /proc
+mount -t sysfs sysfs /sys
+mount -t tmpfs tmpfs /dev -o size=64k,mode=0755
+mkdir /dev/pts /dev/shm
+chmod 777 /dev/shm
+mount -t devpts devpts /dev/pts
+touch /dev/mdev.seq
+#sysctl -w kernel.hotplug=/sbin/mdev
+echo "/sbin/mdev" > /proc/sys/kernel/hotplug
+mdev -s
+
#
-# Run the mdev daemon
+# We might have mounted something over /dev, see if /dev/initctl is there.
#
-
-DAEMON="mdev"
-PIDFILE="/var/run/$DAEMON.pid"
-
-
-start() {
- echo -n "Starting $DAEMON... "
- start-stop-daemon -S -b -m -p $PIDFILE -x /sbin/mdev -- -df
- [ $? -eq 0 ] && echo "OK" || echo "ERROR"
-
- # coldplug modules
- find /sys/ -name modalias -print0 | \
- xargs -0 sort -u | \
- tr '\n' '\0' | \
- xargs -0 modprobe -abq
-}
-
-stop() {
- echo -n "Stopping $DAEMON... "
- start-stop-daemon -K -p $PIDFILE
- [ $? -eq 0 ] && echo "OK" || echo "ERROR"
-}
-
-restart() {
- stop
- start
-}
-
-case "$1" in
- start|stop|restart)
- "$1"
- ;;
- *)
- echo "Usage: $0 {start|stop|restart}"
- exit 1
-esac
-
-exit $?
+if test ! -p /dev/initctl
+then
+ rm -f /dev/initctl
+ mknod -m 600 /dev/initctl p
+fi